NSX-T Data Center REST API

Patch IPFIX DFW profile

Create a new IPFIX DFW profile if the IPFIX DFW profile
with given id does not already exist. If the IPFIX DFW
profile with the given id already exists, patch with
the existing IPFIX DFW profile.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/ipfix-dfw-profiles/{ipfix-dfw-profile-id}
Request Headers:
n/a
Query Parameters:
OverrideRequestParameters+
Request Body:
IPFIXDFWProfile+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/ipfix-dfw-profiles/profile1 { "ipfix_dfw_collector_profile_path": "/infra/ipfix-dfw-collector-profiles/profile1", "observation_domain_id": 344, "active_flow_export_timeout":40, "priority":770, "_create_user": "admin", "_create_time": 1545257663086, "_last_modified_user": "admin", "_last_modified_time": 1545259987846, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 1 }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_ipfix_dfw

Additional Errors: